Loading...
Searching...
No Matches
caf::stream_sink_trait_base< State, In > Struct Template Reference

Base type for all sink traits. More...

`#include <stream_sink_trait.hpp>`

Inheritance diagram for caf::stream_sink_trait_base< State, In >:

## Public Types

using | state = State
| Defines the state element for the function objects.
using | input = In
| Defines the type of a single stream element.
using | pointer = stream_sink_ptr<input>
| Defines a pointer to a sink.

## Detailed Description

template<class State, class In>
struct caf::stream_sink_trait_base< State, In >

Base type for all sink traits.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/stream_sink_trait.hpp